# Class JPanel

java.lang.Object
org.jmol.awtjs.swing.Component
org.jmol.awtjs.swing.Container
org.jmol.awtjs.swing.JComponent
org.jmol.awtjs.swing.JPanel

public class JPanel extends JComponent

## Field Summary

### Fields inherited from class JComponent

`actionCommand, actionListener, autoScrolls`

### Fields inherited from class Container

`list`

### Fields inherited from class Component

`enabled, height, id, minHeight, minWidth, mouseListener, name, parent, renderHeight, renderWidth, text, width`

## Constructor Summary

Constructors
Constructor
Description
`JPanel(LayoutManager manager)`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(JComponent btn, Object c)`
`String`
`toHTML()`

### Methods inherited from class JComponent

`addActionListener, getActionCommand, setActionCommand, setAutoscrolls`

### Methods inherited from class Container

`add, addComponent, getComponent, getComponentCount, getComponents, getSubcomponentHeight, getSubcomponentWidth, insertComponent, remove, removeAll`

### Methods inherited from class Component

`addMouseListener, getCSSstyle, getHeight, getName, getParent, getText, getWidth, isEnabled, isVisible, newID, repaint, setBackground, setEnabled, setMinimumSize, setName, setParent, setPreferredSize, setText, setVisible`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JPanel

public JPanel(LayoutManager manager)

Parameters:
  `manager` - ignored. we just use the layout designations with a grid

## Method Details

### add

public void add(JComponent btn, Object c)

### toHTML

public String toHTML()

Specified by:
  `toHTML` in class `Component`